CFMutableData Reference

## Detailed Description

## Typedefs

typedef struct __CFData * | CFMutableDataRef

## Creating a Mutable Data Object

CFMutableDataRef | CFDataCreateMutable (CFAllocatorRef allocator, CFIndex capacity)
CFMutableDataRef | CFDataCreateMutableCopy (CFAllocatorRef allocator, CFIndex capacity, CFDataRef theData)

## Accessing Mutable Data

UInt8 * | CFDataGetMutableBytePtr (CFMutableDataRef theData)

## Modifying a Mutable Data Object

void | CFDataAppendBytes (CFMutableDataRef theData, const UInt8 *bytes, CFIndex length)
void | CFDataDeleteBytes (CFMutableDataRef theData, CFRange range)
void | CFDataReplaceBytes (CFMutableDataRef theData, CFRange range, const UInt8 *newBytes, CFIndex newLength)
void | CFDataIncreaseLength (CFMutableDataRef theData, CFIndex extraLength)
void | CFDataSetLength (CFMutableDataRef theData, CFIndex length)